Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::OneRecallAtRCriterion Struct Reference
Inheritance diagram for faiss::OneRecallAtRCriterion:

## Public Member Functions
| OneRecallAtRCriterion (idx_t nq, idx_t R)
virtual double | evaluate (const float *D, const idx_t *I) const override
Public Member Functions inherited from faiss::AutoTuneCriterion
| AutoTuneCriterion (idx_t nq, idx_t nnn)
void | set_groundtruth (int gt_nnn, const float *gt_D_in, const idx_t *gt_I_in)
virtual double | evaluate (const float *D, const idx_t *I) const =0

## Public Attributes
idx_t | R
Public Attributes inherited from faiss::AutoTuneCriterion
idx_t | nq
| nb of queries this criterion is evaluated on
idx_t | nnn
| nb of NNs that the query should request
idx_t | gt_nnn
| nb of GT NNs required to evaluate crterion
std::vector< float > | gt_D
| Ground-truth distances (size nq * gt_nnn)
std::vector< idx_t > | gt_I
| Ground-truth indexes (size nq * gt_nnn)

## Additional Inherited Members
Public Types inherited from faiss::AutoTuneCriterion
typedef Index::idx_t | idx_t

## Detailed Description

Definition at line 58 of file AutoTune.h.

The documentation for this struct was generated from the following files:

- AutoTune.h
- AutoTune.cpp